/*
 * Copyright (c) 1997-2003 Erez Zadok
 * Copyright (c) 2001-2003 Stony Brook University
 * Copyright (c) 1997-2000 Columbia University
 *
 * For specific licensing information, see the COPYING file distributed with
 * this package, or get one from ftp://ftp.filesystems.org/pub/fist/COPYING.
 *
 * This Copyright notice must be kept intact and distributed with all
 * fistgen sources INCLUDING sources generated by fistgen.
 */
#include <sys/types.h>
#include <sys/statvfs.h>
#include <stdio.h>

int main(int argc, char **argv)
{
  int err = 0;
  struct statvfs buf;

  /* validate input */
  if (argc != 2) {
    fprintf(stderr, "Usage: %s [mount_point]\n",
	    argv[0]);
    exit(1);
  }

  err = statvfs(argv[1], &buf);
  if (err < 0) {
    perror(argv[0]);
  }
  exit(err);
}
